#This script collects all f0_ascii files in a directory, and runs a batch job extracting Fujisaki model parameters
#You need to have autofujipos.exe in your Praat directory
#Edit your path! 

cur_path$ = "C:\speech\maptask\f03f04\"

Create Strings as file list... list 'cur_path$'*.f0_ascii
numberOfFiles = Get number of strings

# Go through all the sound files, one by one:

for ifile to numberOfFiles
	filename$ = Get string... ifile
	#refer to interpolation_description.doc for parameters
	#full pass (0 4), error threshold 0.0001, automatic Fb, alpha of 2
                system_nocheck autofujipos 'cur_path$''filename$' 0 4 0.0001 auto 2
                select Strings list
	# and go on with the next f0_ascii file!
endfor






