#This script collects all TextGrid files in a directory, and converts the tier no. 1 to lab format
#You need to have  textgrid2lab.exe in your Praat directory
#Edit your path, and change the tier number, if necessary! 

cur_path$ = "C:\speech\maptask\f03f04\"

Create Strings as file list... list 'cur_path$'*.TextGrid
numberOfFiles = Get number of strings

# Go through all the sound files, one by one:

for ifile to numberOfFiles
	filename$ = Get string... ifile
	#use tier number 1
                system_nocheck textgrid2lab 'cur_path$''filename$' 1
                select Strings list
	# and go on with the next text grid file!
endfor






